%global srcname visvis
Name:             python-%{srcname}
Version:          1.11.1
Release:          5%{?dist}
Summary:          Python library for visualization of 1D to 4D data in an object oriented way
License:          BSD
URL:              https://github.com/almarklein/%{srcname}
Source0:          %{url}/archive/v%{version}.tar.gz#/%{srcname}-%{version}.tar.gz
BuildArch:        noarch

%global _description\
Visvis is a pure Python library for visualization of 1D to 4D data in an\
object oriented way. Essentially, visvis is an object oriented layer of\
Python on top of OpenGl, thereby combining the power of OpenGl with the\
usability of Python. A Matlab/Matplotlib-like interface in the form of a\
set of functions allows easy creation of objects (e.g. plot(), imshow(),\
volshow(), surf()).

%description
%{_description}

%package -n python2-%{srcname}
Summary:          %{summary}
%{?python_provide:%python_provide python2-%{srcname}}

BuildRequires:    python2-devel, python2-setuptools
Requires:         python2-numpy, python2-pyopengl
Recommends:       python2-qt4, python2-wxpython4, python2-pyside
Recommends:       python2-gobject

%description -n python2-%{srcname}
%{_description}

%package -n python3-%{srcname}
Summary:          %{summary}
%{?python_provide:%python_provide python3-%{srcname}}
BuildRequires:    python3-devel, python3-setuptools
Requires:         python3-numpy, python3-pyopengl
Recommends:       python3-PyQt4, python3-wxpython4
Recommends:       python3-gobject

%description -n python3-%{srcname}
%{_description}

%prep
%setup -n %{srcname}-%{version}

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%files -n python2-%{srcname}
%license license.txt
%doc README.md
%{python2_sitelib}/%{srcname}
%{python2_sitelib}/%{srcname}-%{version}-*.egg-info

%files -n python3-%{srcname}
%license license.txt
%doc README.md
%{python3_sitelib}/%{srcname}
%{python3_sitelib}/%{srcname}-%{version}-*.egg-info

%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.11.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 26 2018 Iryna Shcherbina <shcherbina.iryna@gmail.com> - 1.11.1-4
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Jun 15 2018 Jaroslav Škarvada <jskarvad@redhat.com> - 1.11.1-3
- Simplified source URL

* Fri Jun 15 2018 Jaroslav Škarvada <jskarvad@redhat.com> - 1.11.1-2
- Simplified the spec

* Thu Jun  7 2018 Jaroslav Škarvada <jskarvad@redhat.com> - 1.11.1-1
- Initial release
